Bug 1180680 - Transaction from new topology rolled back (but succeeds on originator)
Summary: Transaction from new topology rolled back (but succeeds on originator)
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR1
: 6.5.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: jdg64-GA-Blockers 1184285
TreeView+ depends on / blocked
 
Reported: 2015-01-09 16:50 UTC by Radim Vansa
Modified: 2022-05-31 22:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In Red Hat JBoss Data Grid, after network partition (split-brain) is resolved, nodes start reconnecting through a series of merge events. In some of these merges a node may be reported to temporarily leave the cluster; if such node is executing a transaction spanning other nodes, this transaction is not executed on the remote node. However, the transaction can be confirmed and succeeds on the originating node. The result is stale value on the node not committing this transaction. This inconsistency is not resolved until the entry is updated or removed; reads can return both stale and committed value. After the merge is finished on all nodes, this situation cannot happen any more. There is no workaround for this issue.
Clone Of:
: 1184285 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5137 0 Critical Resolved Transaction from new topology rolled back (but succeeds on originator) 2015-09-11 06:53:39 UTC
Red Hat Issue Tracker ISPN-5158 0 Critical Resolved Transaction rolled back but returns successful response 2015-09-11 06:53:39 UTC
Red Hat Issue Tracker ISPN-5274 0 Major Resolved Inconsistent data after transaction rollback (with success on originator) 2015-09-11 06:53:39 UTC

Description Radim Vansa 2015-01-09 16:50:01 UTC
Impact: transaction succeeds, but is not persisted on some of the nodes

Comment 3 JBoss JIRA Server 2015-01-12 15:48:55 UTC
Dan Berindei <dberinde> updated the status of jira ISPN-5137 to Coding In Progress

Comment 5 Radim Vansa 2015-01-19 09:31:39 UTC
Failing QA, there is a very similar issue causing the transactions to be not executed on some of the nodes.

Comment 13 Sebastian Łaskawiec 2015-02-02 08:03:44 UTC
PR: https://github.com/infinispan/jdg/pull/456

Comment 15 Sebastian Łaskawiec 2015-02-02 13:48:44 UTC
Integrated also to 6.4.x branch. Thanks for confirming that.

Comment 16 Matej Čimbora 2015-03-06 13:58:05 UTC
Found another issue with originator successfully commiting transaction, while other participating nodes rollbacked it. From client perspective, this leads to unexpected return values.

Comment 17 JBoss JIRA Server 2015-04-07 13:44:19 UTC
Dan Berindei <dberinde> updated the status of jira ISPN-5274 to Coding In Progress

Comment 18 JBoss JIRA Server 2015-04-17 09:29:16 UTC
Dan Berindei <dberinde> updated the status of jira ISPN-5274 to Reopened


Note You need to log in before you can comment on or make changes to this bug.